org.apache.ignite.internal.processors.platform.compute

## Interface PlatformJob

All Superinterfaces:
  ComputeJob, Serializable

All Known Implementing Classes:
  PlatformAbstractJob, PlatformClosureJob, PlatformFullJob

    public interface PlatformJob
    extends ComputeJob

Platform closure job interface.

### Method Summary

All Methods Instance Methods Abstract Methods
`Object` `job()` Gets native job.
`long` `pointer()` Gets native pointer to deployed job.

### Methods inherited from interface org.apache.ignite.compute.ComputeJob

`cancel, execute`

### Method Detail

#### pointer

    long pointer()

Gets native pointer to deployed job.

Returns:
  Pointer.

#### job

    Object job()

Gets native job.

Returns:
  Native job.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020